Subject: Re: BogoMIPS no longer supported on PowerPC?

From: Johannes Berg <[email-masked]>
Date: Wed, 23 Aug 2006 12:37:33 +0200

On Wed, 2006-08-23 at 18:25 +0800, Li Yang-r58472 wrote:
> I noticed a recent modification to __delay has changed from using empty
> loops to reading timebase.  Thus, breaks the calculation of bogomips,
> and makes it terribly low.  Is the bogomips no longer being supported on
> powerpc arch?

What's there to be 'supported'? The only purpose of bogomips is
calibrating the delay loop, and that has changed now by using timebase,
hence bogomips no longer have a purpose. There was even a patch to
remove it from /proc/cpuinfo but I'm not sure whether that got applied
or not.

johannes